
/****************************************************************************/

struct WBStartBase
{
	struct Library	LibNode;
	UWORD			pad_word;
 	BPTR			LibSegment;
 	struct SignalSemaphore
 					wbsb_LibLock;	
	struct Library *wbsb_SysBase;
	struct Library *wbsb_WorkbenchBase;
	struct Library *wbsb_UtilityBase;
	struct Library *wbsb_DOSBase;
};

/****************************************************************************/

/* Tags for WBStartTagList() */

/* Name of the program to start. It is relative to                   */
/* WBStart_DirectoryName or WBStart_DirLock.                         */
#define WBStart_Name           (TAG_USER + 1)  /* const char *       */

/* Name of a directory. Mutually exclusive to WBStart_DirectoryLock  */
#define WBStart_DirectoryName  (TAG_USER + 2)  /* const char *       */

/* Lock of a directory. Mutually exclusive to WBStart_DirectoryName  */
#define WBStart_DirectoryLock  (TAG_USER + 3)  /* BPTR               */

/* Stack size for the new process                                    */
#define WBStart_Stack          (TAG_USER + 4)  /* ULONG              */

/* Priority for the new process                                      */
#define WBStart_Priority       (TAG_USER + 5)  /* LONG               */

/* Number of arguments in WBStart_ArgumentList                       */
#define WBStart_ArgumentCount  (TAG_USER + 6)  /* ULONG              */

/* Array of arguments. WBStart_ArgumentCount MUST be specified also! */
#define WBStart_ArgumentList   (TAG_USER + 7)  /* struct WBArg *     */
